Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.query
Class QueryExecutionFactory

    java.lang.Object
      com.hp.hpl.jena.query.QueryExecutionFactory

    public class QueryExecutionFactory

extends java.lang.Object

Place to make QueryExecution objects from Query objects or a string.

Author:
  Andy Seaborne

Method Summary
`static QueryExecution` | `create(Query query)` Create a QueryExecution
`static QueryExecution` | `create(Query query, Dataset dataset)` Create a QueryExecution to execute over the Dataset.
`static QueryExecution` | `create(Query query, Dataset dataset, QuerySolution initialBinding)` Create a QueryExecution over a Dataset given some initial values of variables.
`static QueryExecution` | `create(Query query, com.hp.hpl.jena.util.FileManager fm)` Create a QueryExecution : the file manager will be used to load URIs in the query decription.
`static QueryExecution` | `create(Query query, com.hp.hpl.jena.rdf.model.Model model)` Create a QueryExecution to execute over the Model.
`static QueryExecution` | `create(Query query, com.hp.hpl.jena.rdf.model.Model model, QuerySolution initialBinding)` Create a QueryExecution to execute over the Model, given some initial values of variables.
`static QueryExecution` | `create(Query query, QuerySolution initialBinding)`
`static QueryExecution` | `create(java.lang.String queryStr)` Create a QueryExecution
`static QueryExecution` | `create(java.lang.String queryStr, Dataset dataset)` Create a QueryExecution to execute over the Dataset.
`static QueryExecution` | `create(java.lang.String queryStr, Dataset dataset, QuerySolution initialBinding)` Create a QueryExecution over a Dataset given some initial values of variables.
`static QueryExecution` | `create(java.lang.String queryStr, com.hp.hpl.jena.util.FileManager fm)` Create a QueryExecution : the file manager will be used to load URIs in the query decription.
`static QueryExecution` | `create(java.lang.String queryStr, com.hp.hpl.jena.rdf.model.Model model)` Create a QueryExecution to execute over the Model.
`static QueryExecution` | `create(java.lang.String queryStr, com.hp.hpl.jena.rdf.model.Model model, QuerySolution initialBinding)` Create a QueryExecution to execute over the Model, given some initial values of variables.
`static QueryExecution` | `create(java.lang.String queryStr, QuerySolution initialBinding)` Create a QueryExecution given some initial values of variables.
`static QueryExecution` | `create(java.lang.String queryStr, Syntax syntax)` Create a QueryExecution
`static QueryExecution` | `create(java.lang.String queryStr, Syntax syntax, Dataset dataset)` Create a QueryExecution to execute over the Dataset.
`static QueryExecution` | `create(java.lang.String queryStr, Syntax syntax, Dataset dataset, QuerySolution initialBinding)` Create a QueryExecution over a Dataset given some initial values of variables.
`static QueryExecution` | `create(java.lang.String queryStr, Syntax syntax, com.hp.hpl.jena.util.FileManager fm)` Create a QueryExecution : the file manager will be used to load URIs in the query decription.
`static QueryExecution` | `create(java.lang.String queryStr, Syntax lang, com.hp.hpl.jena.rdf.model.Model model)` Create a QueryExecution to execute over the Model.
`static QueryExecution` | `create(java.lang.String queryStr, Syntax syntax, com.hp.hpl.jena.rdf.model.Model model, QuerySolution initialBinding)` Create a QueryExecution to execute over the Model, given some initial values of variables.
`static QueryExecution` | `create(java.lang.String queryStr, Syntax syntax, QuerySolution initialBinding)` Create a QueryExecution given some initial values of variables.
`static com.hp.hpl.jena.sparql.engine.Plan` | `createPlan(com.hp.hpl.jena.sparql.syntax.Element pattern, com.hp.hpl.jena.sparql.core.DatasetGraph dataset)`
`static com.hp.hpl.jena.sparql.engine.Plan` | `createPlan(com.hp.hpl.jena.sparql.syntax.Element pattern, com.hp.hpl.jena.graph.Graph graph)`
`static com.hp.hpl.jena.sparql.engine.Plan` | `createPlan(Query query, com.hp.hpl.jena.sparql.core.DatasetGraph dataset)`
`static com.hp.hpl.jena.sparql.engine.Plan` | `createPlan(Query query, com.hp.hpl.jena.sparql.core.DatasetGraph dataset, com.hp.hpl.jena.sparql.engine.binding.Binding input, com.hp.hpl.jena.sparql.util.Context context)`
`static com.hp.hpl.jena.sparql.engine.Plan` | `createPlan(Query query, com.hp.hpl.jena.graph.Graph graph)`
`static com.hp.hpl.jena.sparql.engine.Plan` | `createPlan(java.lang.String queryStr, com.hp.hpl.jena.sparql.core.DatasetGraph dataset)`
`static com.hp.hpl.jena.sparql.engine.Plan` | `createPlan(java.lang.String queryStr, com.hp.hpl.jena.graph.Graph graph)`
`static com.hp.hpl.jena.sparql.engine.http.QueryEngineHTTP` | `createServiceRequest(java.lang.String service, Query query)` Create a service request for remote execution over HTTP.
`static QueryExecution` | `sparqlService(java.lang.String service, Query query)` Create a QueryExecution that will access a SPARQL service over HTTP
`static QueryExecution` | `sparqlService(java.lang.String service, Query query, java.util.List defaultGraphURIs, java.util.List namedGraphURIs)` Create a QueryExecution that will access a SPARQL service over HTTP
`static QueryExecution` | `sparqlService(java.lang.String service, Query query, java.lang.String defaultGraph)` Create a QueryExecution that will access a SPARQL service over HTTP
`static QueryExecution` | `sparqlService(java.lang.String service, java.lang.String query)` Create a QueryExecution that will access a SPARQL service over HTTP
`static QueryExecution` | `sparqlService(java.lang.String service, java.lang.String query, java.util.List defaultGraphURIs, java.util.List namedGraphURIs)` Create a QueryExecution that will access a SPARQL service over HTTP
`static QueryExecution` | `sparqlService(java.lang.String service, java.lang.String query, java.lang.String defaultGraph)` Create a QueryExecution that will access a SPARQL service over HTTP

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### create

    public static QueryExecution create(Query query)

  Create a QueryExecution

  Parameters:
    `query` - Query
  Returns:
    QueryExecution

### create

    public static QueryExecution create(java.lang.String queryStr)

  Create a QueryExecution

  Parameters:
    `queryStr` - Query string
  Returns:
    QueryExecution

### create

    public static QueryExecution create(java.lang.String queryStr,
                                        Syntax syntax)

  Create a QueryExecution

  Parameters:
    `queryStr` - Query string
    `syntax` - Query syntax
  Returns:
    QueryExecution

### create

    public static QueryExecution create(Query query,
                                        Dataset dataset)

  Create a QueryExecution to execute over the Dataset.

  Parameters:
    `query` - Query
    `dataset` - Target of the query
  Returns:
    QueryExecution

### create

    public static QueryExecution create(java.lang.String queryStr,
                                        Dataset dataset)

  Create a QueryExecution to execute over the Dataset.

  Parameters:
    `queryStr` - Query string
    `dataset` - Target of the query
  Returns:
    QueryExecution

### create

    public static QueryExecution create(java.lang.String queryStr,
                                        Syntax syntax,
                                        Dataset dataset)

  Create a QueryExecution to execute over the Dataset.

  Parameters:
    `queryStr` - Query string
    `syntax` - Query language
    `dataset` - Target of the query
  Returns:
    QueryExecution

### create

    public static QueryExecution create(Query query,
                                        com.hp.hpl.jena.util.FileManager fm)

  Create a QueryExecution : the file manager will be used to load URIs in the query decription.

  Parameters:
    `query` - Query
    `fm` - FileManager
  Returns:
    QueryExecution

### create

    public static QueryExecution create(java.lang.String queryStr,
                                        com.hp.hpl.jena.util.FileManager fm)

  Create a QueryExecution : the file manager will be used to load URIs in the query decription.

  Parameters:
    `queryStr` - Query string
    `fm` - FileManager
  Returns:
    QueryExecution

### create

    public static QueryExecution create(java.lang.String queryStr,
                                        Syntax syntax,
                                        com.hp.hpl.jena.util.FileManager fm)

  Create a QueryExecution : the file manager will be used to load URIs in the query decription.

  Parameters:
    `queryStr` - Query string
    `syntax` - Syntax
    `fm` - FileManager
  Returns:
    QueryExecution

### create

    public static QueryExecution create(Query query,
                                        com.hp.hpl.jena.rdf.model.Model model)

  Create a QueryExecution to execute over the Model.

  Parameters:
    `query` - Query
    `model` - Target of the query
  Returns:
    QueryExecution

### create

    public static QueryExecution create(java.lang.String queryStr,
                                        com.hp.hpl.jena.rdf.model.Model model)

  Create a QueryExecution to execute over the Model.

  Parameters:
    `queryStr` - Query string
    `model` - Target of the query
  Returns:
    QueryExecution

### create

    public static QueryExecution create(java.lang.String queryStr,
                                        Syntax lang,
                                        com.hp.hpl.jena.rdf.model.Model model)

  Create a QueryExecution to execute over the Model.

  Parameters:
    `queryStr` - Query string
    `lang` - Query language
    `model` - Target of the query
  Returns:
    QueryExecution

### create

    public static QueryExecution create(Query query,
                                        QuerySolution initialBinding)

### create

    public static QueryExecution create(java.lang.String queryStr,
                                        QuerySolution initialBinding)

  Create a QueryExecution given some initial values of variables.

  Parameters:
    `queryStr` - QueryString
    `initialBinding` - Any initial binding of variables
  Returns:
    QueryExecution

### create

    public static QueryExecution create(java.lang.String queryStr,
                                        Syntax syntax,
                                        QuerySolution initialBinding)

  Create a QueryExecution given some initial values of variables.

  Parameters:
    `queryStr` - QueryString
    `syntax` - Query language syntax
    `initialBinding` - Any initial binding of variables
  Returns:
    QueryExecution

### create

    public static QueryExecution create(Query query,
                                        com.hp.hpl.jena.rdf.model.Model model,
                                        QuerySolution initialBinding)

  Create a QueryExecution to execute over the Model, given some initial values of variables.

  Parameters:
    `query` - Query
    `model` - Target of the query
    `initialBinding` - Any initial binding of variables
  Returns:
    QueryExecution

### create

    public static QueryExecution create(java.lang.String queryStr,
                                        com.hp.hpl.jena.rdf.model.Model model,
                                        QuerySolution initialBinding)

  Create a QueryExecution to execute over the Model, given some initial values of variables.

  Parameters:
    `queryStr` - Query string
    `model` - Target of the query
    `initialBinding` - Any initial binding of variables
  Returns:
    QueryExecution

### create

    public static QueryExecution create(java.lang.String queryStr,
                                        Syntax syntax,
                                        com.hp.hpl.jena.rdf.model.Model model,
                                        QuerySolution initialBinding)

  Create a QueryExecution to execute over the Model, given some initial values of variables.

  Parameters:
    `queryStr` - Query string
    `syntax` - Query language
    `model` - Target of the query
    `initialBinding` - Any initial binding of variables
  Returns:
    QueryExecution

### create

    public static QueryExecution create(Query query,
                                        Dataset dataset,
                                        QuerySolution initialBinding)

  Create a QueryExecution over a Dataset given some initial values of variables.

  Parameters:
    `query` - Query
    `dataset` - Target of the query
    `initialBinding` - Any initial binding of variables
  Returns:
    QueryExecution

### create

    public static QueryExecution create(java.lang.String queryStr,
                                        Dataset dataset,
                                        QuerySolution initialBinding)

  Create a QueryExecution over a Dataset given some initial values of variables.

  Parameters:
    `queryStr` - Query string
    `dataset` - Target of the query
    `initialBinding` - Any initial binding of variables
  Returns:
    QueryExecution

### create

    public static QueryExecution create(java.lang.String queryStr,
                                        Syntax syntax,
                                        Dataset dataset,
                                        QuerySolution initialBinding)

  Create a QueryExecution over a Dataset given some initial values of variables.

  Parameters:
    `queryStr` - Query string
    `dataset` - Target of the query
    `initialBinding` - Any initial binding of variables
  Returns:
    QueryExecution

### sparqlService

    public static QueryExecution sparqlService(java.lang.String service,
                                               java.lang.String query)

  Create a QueryExecution that will access a SPARQL service over HTTP

  Parameters:
    `service` - URL of the remote service
    `query` - Query string to execute
  Returns:
    QueryExecution

### sparqlService

    public static QueryExecution sparqlService(java.lang.String service,
                                               java.lang.String query,
                                               java.lang.String defaultGraph)

  Create a QueryExecution that will access a SPARQL service over HTTP

  Parameters:
    `service` - URL of the remote service
    `query` - Query string to execute
    `defaultGraph` - URI of the default graph
  Returns:
    QueryExecution

### sparqlService

    public static QueryExecution sparqlService(java.lang.String service,
                                               java.lang.String query,
                                               java.util.List defaultGraphURIs,
                                               java.util.List namedGraphURIs)

  Create a QueryExecution that will access a SPARQL service over HTTP

  Parameters:
    `service` - URL of the remote service
    `query` - Query string to execute
    `defaultGraphURIs` - List of URIs to make up the default graph
    `namedGraphURIs` - List of URIs to make up the named graphs
  Returns:
    QueryExecution

### sparqlService

    public static QueryExecution sparqlService(java.lang.String service,
                                               Query query)

  Create a QueryExecution that will access a SPARQL service over HTTP

  Parameters:
    `service` - URL of the remote service
    `query` - Query to execute
  Returns:
    QueryExecution

### sparqlService

    public static QueryExecution sparqlService(java.lang.String service,
                                               Query query,
                                               java.util.List defaultGraphURIs,
                                               java.util.List namedGraphURIs)

  Create a QueryExecution that will access a SPARQL service over HTTP

  Parameters:
    `service` - URL of the remote service
    `query` - Query to execute
    `defaultGraphURIs` - List of URIs to make up the default graph
    `namedGraphURIs` - List of URIs to make up the named graphs
  Returns:
    QueryExecution

### sparqlService

    public static QueryExecution sparqlService(java.lang.String service,
                                               Query query,
                                               java.lang.String defaultGraph)

  Create a QueryExecution that will access a SPARQL service over HTTP

  Parameters:
    `service` - URL of the remote service
    `query` - Query to execute
    `defaultGraph` - URI of the default graph
  Returns:
    QueryExecution

### createServiceRequest

    public static com.hp.hpl.jena.sparql.engine.http.QueryEngineHTTP createServiceRequest(java.lang.String service,
                                                                                          Query query)

  Create a service request for remote execution over HTTP. The returned class, `QueryEngineHTTP`, allows various HTTP specific paramters to be set.

### createPlan

    public static com.hp.hpl.jena.sparql.engine.Plan createPlan(Query query,
                                                                com.hp.hpl.jena.sparql.core.DatasetGraph dataset,
                                                                com.hp.hpl.jena.sparql.engine.binding.Binding input,
                                                                com.hp.hpl.jena.sparql.util.Context context)

### createPlan

    public static com.hp.hpl.jena.sparql.engine.Plan createPlan(java.lang.String queryStr,
                                                                com.hp.hpl.jena.graph.Graph graph)

### createPlan

    public static com.hp.hpl.jena.sparql.engine.Plan createPlan(java.lang.String queryStr,
                                                                com.hp.hpl.jena.sparql.core.DatasetGraph dataset)

### createPlan

    public static com.hp.hpl.jena.sparql.engine.Plan createPlan(Query query,
                                                                com.hp.hpl.jena.graph.Graph graph)

### createPlan

    public static com.hp.hpl.jena.sparql.engine.Plan createPlan(Query query,
                                                                com.hp.hpl.jena.sparql.core.DatasetGraph dataset)

### createPlan

    public static com.hp.hpl.jena.sparql.engine.Plan createPlan(com.hp.hpl.jena.sparql.syntax.Element pattern,
                                                                com.hp.hpl.jena.graph.Graph graph)

### createPlan

    public static com.hp.hpl.jena.sparql.engine.Plan createPlan(com.hp.hpl.jena.sparql.syntax.Element pattern,
                                                                com.hp.hpl.jena.sparql.core.DatasetGraph dataset)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP